/*
 * Class CURSOR_STRUCTURE [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_586 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_586 [] = {0xFF01,237,585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_586 [] = {0xFF01,585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_586 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_586 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_586 [] = {0xFF01,585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_586 [] = {0xFF01,585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_586 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_586 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_586 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_586 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_586 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_586 [] = {585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_586 [] = {0xFF01,585,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_586 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_586 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_586 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_586 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_586[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_586), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_586), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_586), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_586), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_586), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_586), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_586), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_586), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_586), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_586), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_586), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_586), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_586), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_586), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_586), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_586), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_586), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_586), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init586(void)
{
	IDSC(desc_586, 0, 585);
	IDSC(desc_586 + 1, 1, 585);
	IDSC(desc_586 + 32, 77, 585);
	IDSC(desc_586 + 41, 282, 585);
	IDSC(desc_586 + 50, 243, 585);
	IDSC(desc_586 + 56, 184, 585);
	IDSC(desc_586 + 59, 229, 585);
}


#ifdef __cplusplus
}
#endif
